
QGIS Application - Bug report #20340

SAGA RGB Composite not working

2018-11-02 10:55 PM - Mario Reyes

Status: Closed

Priority: High

Assignee:

Category: Processing/SAGA

Affected QGIS version:3.4.0 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28161

Description

When I try to use the SAGA's RGB Composite tool I get the following message:

Loading resulting layers

The following layers were not correctly generated.<ul><li>C:/Users/Mario/Downloads/test.sdat</li></ul>You can check the 'Log

Messages Panel' in QGIS main window to find more information about the execution of the algorithm.

The log messages panel is here:

2018-11-02T15:46:02     INFO    SAGA execution commands

             io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP

COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/2e6e6525606946499b5d88f3a49c8191/clipRTT16PBA20180311T162041B04.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif" 
             io_gda

RTT16PBA20180311T162041B04.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif" 

             io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP

COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/5b24bb41c86a4235a6fe1b2ed4f64096/clipRTT16PBA20180311T162041B03.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B03.tif" 
             io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/34c0677b09c74f1cb89365f6956f6d19/clipRTT16PBA20180311T162041B02.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B02.tif" 
             grid_vi

TT16PBA20180311T162041B03.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B03.tif" 

             io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP

COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/34c0677b09c74f1cb89365f6956f6d19/clipRTT16PBA20180311T162041B02.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B02.tif" 
             grid_visualisation "RGB Composite" -GRID_R "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/2e6e6525606946499b5d88f3a49c8191/clipRTT16PBA20180311T162041B04.sgrd" -GRID_G "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/5b24bb41c86a4235a6fe1b2ed4f64096/clipRTT16PBA20180311T162041B03.sgrd" -GRID_B "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/34c0677b09c74f1cb89365f6956f6d19/clipRTT16PBA20180311T162041B02.sgrd" -R_METHOD 0 -G_METHOD 0 -B_METHOD 0 -R_RANGE_MIN 0 -R_RAN

TT16PBA20180311T162041B02.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B02.tif" 

             grid_visualisation "RGB Composite" -GRID_R "C:/Users/HP

COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/2e6e6525606946499b5d88f3a49c8191/clipRTT16PBA20180311T162041B04.sgrd" -GRID_G "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/5b24bb41c86a4235a6fe1b2ed4f64096/clipRTT16PBA20180311T162041B03.sgrd" -GRID_B "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/34c0677b09c74f1cb89365f6956f6d19/clipRTT16PBA20180311T162041B02.sgrd" -R_METHOD 0 -G_METHOD 0 -B_METHOD 0 -R_RANGE_MIN 0 -R_RANGE_MAX 255 -R_PERCTL_MIN 1 -R_PERCTL_MAX 99 -R_PERCENT 150.0 -G_RANGE_MIN 0 -G_RANGE_MAX 255 -G_PERCTL_MIN 1 -G_PERCTL_MAX 99 -G_PERCENT 150.0 -B_RANGE_MIN 0 -B_RANGE_MAX 255 -B_PERCTL_MIN 1 -B_PERCTL_MAX 99 -B_PERCENT 150.0 -GRID_RGB "C:/Users/Mario/Downloads/test.sdat" 
             io_grid_image 0 -IS_RGB -GRID:"C:/Users/Mario/Downloads/test.sgrd" -FILE:"C:/Users/Mario/Downloads/test.sdat" 
2018-11-02T15:47:32     INFO    SAGA execution console output

             C:\PROGRA~1\QGIS3~1.4\bin>set SAGA=C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr

             C:\PROG

RTT16PBA20180311T162041B04.sgrd" -GRID_G "C:/Users/HP

COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/5b24bb41c86a4235a6fe1b2ed4f64096/clipRTT16PBA20180311T162041B03.sgrd" -GRID_B "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/34c0677b09c74f1cb89365f6956f6d19/clipRTT16PBA20180311T162041B02.sgrd" -R_METHOD 0 -G_METHOD 0 -B_METHOD 0 -R_RANGE_MIN 0 -R_RANGE_MAX 255 -R_PERCTL_MIN 1 -R_PERCTL_MAX 99 -R_PERCENT 150.0 -G_RANGE_MIN 0 -G_RANGE_MAX 255 -G_PERCTL_MIN 1 -G_PERCTL_MAX 99 -G_PERCENT 150.0 -B_RANGE_MIN 0 -B_RANGE_MAX 255 -B_PERCTL_MIN 1 -B_PERCTL_MAX 99 -B_PERCENT 150.0 -GRID_RGB "C:/Users/Mario/Downloads/test.sdat" 
             io_grid_image 0 -IS_RGB -GRID:"C:/Users/Mario/Downloads/test.sgrd" -FILE:"C:/Users/Mario/Downloads/test.sdat" 
2018-11-02T15:47:32     INFO    SAGA execution console output

             C:\PROGRA~1\QGIS3~1.4\bin>set SAGA=C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr

             C:\PROGRA~1\QGIS3~1.4\bin>set SAGA_MLB=C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr\modules

             C:\PROGRA~1\QGIS3~1.4\bin>PATH=C:\PROGRA~1\QGIS3~1.4\apps\qgis\bin;C:\PROGRA~1\QGIS3~1.4\apps\grass\grass-7.4.2\lib;C:\PROGRA~1\QGIS3~1.4\apps\grass\grass-7.4.2\bin;C:\PROGRA~1\QGIS3~1.4\apps\Python37;C:\PROGRA~1\QGIS3~1.4\apps\Pytho

TT16PBA20180311T162041B03.sgrd" -GRID_B "C:/Users/HP

COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/34c0677b09c74f1cb89365f6956f6d19/clipRTT16PBA20180311T162041B02.sgrd" -R_METHOD 0 -G_METHOD 0 -B_METHOD 0 -R_RANGE_MIN 0 -R_RANGE_MAX 255 -R_PERCTL_MIN 1 -R_PERCTL_MAX 99 -R_PERCENT 150.0 -G_RANGE_MIN 0 -G_RANGE_MAX 255 -G_PERCTL_MIN 1 -G_PERCTL_MAX 99 -G_PERCENT 150.0 -B_RANGE_MIN 0 -B_RANGE_MAX 255 -B_PERCTL_MIN 1 -B_PERCTL_MAX 99 -B_PERCENT 150.0 -GRID_RGB "C:/Users/Mario/Downloads/test.sdat" 
             io_grid_image 0 -IS_RGB -GRID:"C:/Users/Mario/Downloads/test.sgrd" -FILE:"C:/Users/Mario/Downloads/test.sdat" 
2018-11-02T15:47:32     INFO    SAGA execution console output

             C:\PROGRA~1\QGIS3~1.4\bin>set SAGA=C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr

             C:\PROGRA~1\QGIS3~1.4\bin>set SAGA_MLB=C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr\modules

             C:\PROGRA~1\QGIS3~1.4\bin>PATH=C:\PROGRA~1\QGIS3~1.4\apps\qgis\bin;C:\PROGRA~1\QGIS3~1.4\apps\grass\grass-7.4.2\lib;C:\PROGRA~1\QGIS3~1.4\apps\grass\grass-7.4.2\bin;C:\PROGRA~1\QGIS3~1.4\apps\Python37;C:\PROGRA~1\QGIS3~1.4\apps\Python37\Scripts;C:\PROGRA~1\QGIS3~1.4\apps\qt5\bin;C:\PROGRA~1\QGIS3~1.4\apps\Python27\Scripts;C:\PROGRA~1\QGIS3~1.4\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\pywin32_system32;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\numpy\.libs;C:\PROGRA~1\

TT16PBA20180311T162041B02.sgrd" -R_METHOD 0 -G_METHOD 0 -B_METHOD 0 -R_RANGE_MIN 0 -R_RANGE_MAX

255 -R_PERCTL_MIN 1 -R_PERCTL_MAX 99 -R_PERCENT 150.0 -G_RANGE_MIN 0 -G_RANGE_MAX 255

-G_PERCTL_MIN 1 -G_PERCTL_MAX 99 -G_PERCENT 150.0 -B_RANGE_MIN 0 -B_RANGE_MAX 255 -B_PERCTL_MIN 1

-B_PERCTL_MAX 99 -B_PERCENT 150.0 -GRID_RGB "C:/Users/Mario/Downloads/test.sdat" 

             io_grid_image 0 -IS_RGB -GRID:"C:/Users/Mario/Downloads/test.sgrd" -FILE:"C:/Users/Mario/Downloads/test.sdat" 

2018-11-02T15:47:32     INFO    SAGA execution console output

             C:\PROGRA~1\QGIS3~1.4\bin>set SAGA=C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr

             C:\PROGRA~1\QGIS3~1.4\bin>set SAGA_MLB=C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr\modules

            

C:\PROGRA~1\QGIS3~1.4\bin>PATH=C:\PROGRA~1\QGIS3~1.4\apps\qgis\bin;C:\PROGRA~1\QGIS3~1.4\apps\grass\grass-7.4.2\lib;C:\PROGRA~1\QGIS3~1.4\apps\grass\grass-7.4.2\bin;C:\PROGRA~1\QGIS3~1.4\apps\Python37;C:\PROGRA~1\QGIS3~1.4\apps\Python37\Scripts;C:\PROGRA~1\QGIS3~1.4\apps\qt5\bin;C:\PROGRA~1\QGIS3~1.4\apps\Python27\Scripts;C:\PROGRA~1\QGIS3~1.4\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\pywin32_system32;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\numpy\.libs;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\scipy\extra-dll;C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr;C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr\modules

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/2e6e6525606946499b5d88f3a49c8191/clipRTT16PBA20180311T162041B04.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif" 
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: io_gdal
             library : GDAL/OGR
             tool : Import Raster
             author : O.Conrad (c) 2007 (A.Ringeler)
             processors : 4 [4]
             ____________________________

             Parameters

             Grids: No objects
             Files: "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif" 
             Select from Multiple Bands:
             Alphanumeric Sorting: yes
             Transformation: yes
             Resampling: B-Spline Interpolation

             loading: C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif

             Driver: GTiff

             Bands: 1

             Rows: 1243

             Columns: 1265

             loading: clip_RT_T16PBA_20180311T162041_B04

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 

.4.2\lib;C:\PROGRA~1\QGIS3~1.4\apps\grass\grass-7.4.2\bin;C:\PROGRA~1\QGIS3~1.4\apps\Python37;C:\PROGRA~1\QGIS3~1.4\apps\Python37\Scripts;C:\PROGRA~1\QGIS3~1.4\apps\qt5\bin;C:\PROGRA~1\QGIS3~1.4\apps\Python27\Scripts;C:\PROGRA~1\QGIS3~1.4\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\pywin32_system32;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\numpy\.libs;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\scipy\extra-dll;C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr;C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr\modules

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/2e6e6525606946499b5d88f3a49c8191/clipRTT16PBA20180311T162041B04.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif" 
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: io_gdal
             library : GDAL/OGR
             tool : Import Raster
             author : O.Conrad (c) 2007 (A.Ringeler)
             processors : 4 [4]
             ____________________________

             Parameters

             Grids: No objects
             Files: "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif" 
             Select from Multiple Bands:
             Alphanumeric Sorting: yes
             Transformation: yes
             Resampling: B-Spline Interpolation

             loading: C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif

             Driver: GTiff

             Bands: 1

             Rows: 1243

             Columns: 1265

             loading: clip_RT_T16PBA_20180311T162041_B04

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/5b24bb41c86a4235a6fe1b2ed4f64096/clipRTT16PBA20180311T162041B03.sgrd" -FILES "C:/Users/Mario/Downlo

2024-04-28 1/9



~1.4\apps\Python37\Scripts;C:\PROGRA~1\QGIS3~1.4\apps\qt5\bin;C:\PROGRA~1\QGIS3~1.4\apps\Python27\Scripts;C:\PROGRA~1\QGIS3~1.4\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\pywin32_system32;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\numpy\.libs;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\scipy\extra-dll;C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr;C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr\modules

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/2e6e6525606946499b5d88f3a49c8191/clipRTT16PBA20180311T162041B04.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif" 
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: io_gdal
             library : GDAL/OGR
             tool : Import Raster
             author : O.Conrad (c) 2007 (A.Ringeler)
             processors : 4 [4]
             ____________________________

             Parameters

             Grids: No objects
             Files: "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif" 
             Select from Multiple Bands:
             Alphanumeric Sorting: yes
             Transformation: yes
             Resampling: B-Spline Interpolation

             loading: C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif

             Driver: GTiff

             Bands: 1

             Rows: 1243

             Columns: 1265

             loading: clip_RT_T16PBA_20180311T162041_B04

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/5b24bb41c86a4235a6fe1b2ed4f64096/clipRTT16PBA20180311T162041B03.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B03.tif" 
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
        

RA~1\QGIS3~1.4\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\system32\WBem;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\pywin32_system32;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\numpy\.libs;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\scipy\extra-dll;C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr;C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr\modules

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/2e6e6525606946499b5d88f3a49c8191/clipRTT16PBA20180311T162041B04.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif" 
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: io_gdal
             library : GDAL/OGR
             tool : Import Raster
             author : O.Conrad (c) 2007 (A.Ringeler)
             processors : 4 [4]
             ____________________________

             Parameters

             Grids: No objects
             Files: "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif" 
             Select from Multiple Bands:
             Alphanumeric Sorting: yes
             Transformation: yes
             Resampling: B-Spline Interpolation

             loading: C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif

             Driver: GTiff

             Bands: 1

             Rows: 1243

             Columns: 1265

             loading: clip_RT_T16PBA_20180311T162041_B04

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/5b24bb41c86a4235a6fe1b2ed4f64096/clipRTT16PBA20180311T162041B03.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B03.tif" 
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-lt

ython37\lib\site-packages\pywin32_system32;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\numpy\.libs;C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\site-packages\scipy\extra-dll;C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr;C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr\modules

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/2e6e6525606946499b5d88f3a49c8191/clipRTT16PBA20180311T162041B04.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif" 
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: io_gdal
             library : GDAL/OGR
             tool : Import Raster
             author : O.Conrad (c) 2007 (A.Ringeler)
             processors : 4 [4]
             ____________________________

             Parameters

             Grids: No objects
             Files: "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif" 
             Select from Multiple Bands:
             Alphanumeric Sorting: yes
             Transformation: yes
             Resampling: B-Spline Interpolation

             loading: C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif

             Driver: GTiff

             Bands: 1

             Rows: 1243

             Columns: 1265

             loading: clip_RT_T16PBA_20180311T162041_B04

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/5b24bb41c86a4235a6fe1b2ed4f64096/clipRTT16PBA20180311T162041B03.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B03.tif" 
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: io_gdal
             library : GDAL/OGR
             tool : Import Raster
             author : O.Conrad (c) 2007 (A.Ringeler)
             processors : 4 [4]
             _________

RA~1\QGIS3~1.4\apps\Python37\lib\site-packages\scipy\extra-dll;C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr;C:/PROGRA~1/QGIS3~1.4/apps\saga-ltr\modules

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/2e6e6525606946499b5d88f3a49c8191/clipRTT16PBA20180311T162041B04.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif" 
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: io_gdal
             library : GDAL/OGR
             tool : Import Raster
             author : O.Conrad (c) 2007 (A.Ringeler)
             processors : 4 [4]
             ____________________________

             Parameters

             Grids: No objects
             Files: "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif" 
             Select from Multiple Bands:
             Alphanumeric Sorting: yes
             Transformation: yes
             Resampling: B-Spline Interpolation

             loading: C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif

             Driver: GTiff

             Bands: 1

             Rows: 1243

             Columns: 1265

             loading: clip_RT_T16PBA_20180311T162041_B04

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/5b24bb41c86a4235a6fe1b2ed4f64096/clipRTT16PBA20180311T162041B03.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B03.tif" 
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: io_gdal
             library : GDAL/OGR
             tool : Import Raster
             author : O.Conrad (c) 2007 (A.Ringeler)
             processors : 4 [4]
             ____________________________

             Parameters

             Grids: No objects
             Files: "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B03.tif" 
             Select from Multiple Bands:
             Alphanumeric 

3~1.4/apps\saga-ltr\modules

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP

COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/2e6e6525606946499b5d88f3a49c8191/clipRTT16PBA20180311T162041B04.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif" 
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: io_gdal
             library : GDAL/OGR
             tool : Import Raster
             author : O.Conrad (c) 2007 (A.Ringeler)
             processors : 4 [4]
             ____________________________

             Parameters

             Grids: No objects
             Files: "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif" 
             Select from Multiple Bands:
             Alphanumeric Sorting: yes
             Transformation: yes
             Resampling: B-Spline Interpolation

             loading: C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif

             Driver: GTiff

             Bands: 1

             Rows: 1243

             Columns: 1265

             loading: clip_RT_T16PBA_20180311T162041_B04

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/5b24bb41c86a4235a6fe1b2ed4f64096/clipRTT16PBA20180311T162041B03.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B03.tif" 
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: io_gdal
             library : GDAL/OGR
             tool : Import Raster
             author : O.Conrad (c) 2007 (A.Ringeler)
             processors : 4 [4]
             ____________________________

             Parameters

             Grids: No objects
             Files: "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B03.tif" 
             Select from Multiple Bands:
             Alphanumeric Sorting: yes
             Transformation: yes
             Resampling: B-Spline Interpolation

             loading: C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B03.tif

             Driver: GTiff

             Bands: 1

             Rows: 1243

             Columns: 1265

             loading: clip_RT_T16PBA_20180311T162041_B03

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd

RTT16PBA20180311T162041B04.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif" 

             ____________________________

             ##### ## ##### ##

             ### ### ## ###

             ### # ## ## #### # ##

             ### ##### ## # #####

             ##### # ## ##### # ##

             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________

             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\

             library name: io_gdal

             library : GDAL/OGR

             tool : Import Raster

             author : O.Conrad (c) 2007 (A.Ringeler)

             processors : 4 [4]

             ____________________________

             Parameters

             Grids: No objects

             Files: "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif" 

             Select from Multiple Bands:

             Alphanumeric Sorting: yes

             Transformation: yes

             Resampling: B-Spline Interpolation

             loading: C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B04.tif

             Driver: GTiff

             Bands: 1

             Rows: 1243

             Columns: 1265

             loading: clip_RT_T16PBA_20180311T162041_B04

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP

COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/5b24bb41c86a4235a6fe1b2ed4f64096/clipRTT16PBA20180311T162041B03.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B03.tif" 
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: io_gdal
             library : GDAL/OGR
             tool : Import Raster
             author : O.Conrad (c) 2007 (A.Ringeler)
             processors : 4 [4]
             ____________________________

             Parameters

             Grids: No objects
             Files: "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B03.tif" 
             Select from Multiple Bands:
             Alphanumeric Sorting: yes
             Transformation: yes
             Resampling: B-Spline Interpolation

             loading: C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B03.tif

             Driver: GTiff

             Bands: 1

             Rows: 1243

             Columns: 1265

             loading: clip_RT_T16PBA_20180311T162041_B03

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/34c0677b09c74f1cb89365f6956f6d19/clipRTT16PBA20180311T162041B02.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B02.tif" 
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: io_gdal
             library : GDAL/OGR
             tool : Import Raster
             author : O.Conrad (c) 2007 (A.Ringeler)
             processors : 4 [4]
             ____________________________

             Parameters

             Grids: No objects
             Files: "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B02.tif" 
             Select from Multiple Bands:
             Alphanumeric Sorting: yes
             Transformation: yes
             Resampling: B-Spline Interpolation

             loading: C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B02.tif

             Driver: GTiff

             Bands: 1

             Rows: 1243

             Columns: 1265

             loading: clip_RT_T16PBA_20180311T162041_B02

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd grid_visualisation "RGB Composite" -GRID_R "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/2e6e6525606946499b5d88f3a49c8191/clipRTT16PBA20180311T162041B04.sgrd" -GRID_G "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/5b24bb41c86a4235a6fe1b2ed4f64096/clipRTT16PBA20180311T162041B03.sgrd" -GRID_B "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/34c0677b09c74f1cb89365f6956f6d19/clipRTT16PBA20180311T162041B02.sgrd" -R_METHOD 0 -G_METHOD 0 -B_METHOD 0 -R_RANGE_MIN 0 -R_RANGE_MAX 255 -R_PERCTL_MIN 1 -R_PERCTL_MAX 99 -R_PERCENT 150.0 -G_RANGE_MIN 0 -G_RANGE_MAX 255 -G_PERCTL_MIN 1 -G_PERCTL_MAX 99 -G_PERCENT 150.0 -B_RANGE_MIN 0 -B_RANGE_MAX 255 -B_PERCTL_MIN 1 -B_PERCTL_MAX 99 -B_PERCENT 150.0 -GRID_RGB "C:/Users/Mario/Downloads/test.sdat" 
             Unknown option 'GRID_R'
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: grid_visualisation
             library : Grids
             tool : RGB Composite
             author : O.Conrad (c) 2002
             processors : 4 [4]
             ____________________________

             Usage: saga_cmd grid_visualisation 3 [-R_GRID ] [-R_METHOD ] [-R_RANGE_MIN ] [-

TT16PBA20180311T162041B03.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B03.tif" 
             ____________________________

             ##### ## ##### ##

             ### ### ## ###

             ### # ## ## #### # ##

             ### ##### ## # #####

             ##### # ## ##### # ##

             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________

             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\

             library name: io_gdal

             library : GDAL/OGR

             tool : Import Raster

             author : O.Conrad (c) 2007 (A.Ringeler)

             processors : 4 [4]

             ____________________________

             Parameters

             Grids: No objects

             Files: "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B03.tif" 

             Select from Multiple Bands:

             Alphanumeric Sorting: yes

             Transformation: yes

             Resampling: B-Spline Interpolation

             loading: C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B03.tif

             Driver: GTiff

             Bands: 1

             Rows: 1243

             Columns: 1265

             loading: clip_RT_T16PBA_20180311T162041_B03

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_gdal 0 -TRANSFORM 1 -RESAMPLING 3 -GRIDS "C:/Users/HP

COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/34c0677b09c74f1cb89365f6956f6d19/clipRTT16PBA20180311T162041B02.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B02.tif" 
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: io_gdal
             library : GDAL/OGR
             tool : Import Raster
             author : O.Conrad (c) 2007 (A.Ringeler)
             processors : 4 [4]
             ____________________________

             Parameters

             Grids: No objects
             Files: "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B02.tif" 
             Select from Multiple Bands:
             Alphanumeric Sorting: yes
             Transformation: yes
             Resampling: B-Spline Interpolation

             loading: C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B02.tif

             Driver: GTiff

             Bands: 1

             Rows: 1243

             Columns: 1265

             loading: clip_RT_T16PBA_20180311T162041_B02

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd grid_visualisation "RGB Composite" -GRID_R "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/2e6e6525606946499b5d88f3a49c8191/clipRTT16PBA20180311T162041B04.sgrd" -GRID_G "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/5b24bb41c86a4235a6fe1b2ed4f64096/clipRTT16PBA20180311T162041B03.sgrd" -GRID_B "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/34c0677b09c74f1cb89365f6956f6d19/clipRTT16PBA20180311T162041B02.sgrd" -R_METHOD 0 -G_METHOD 0 -B_METHOD 0 -R_RANGE_MIN 0 -R_RANGE_MAX 255 -R_PERCTL_MIN 1 -R_PERCTL_MAX 99 -R_PERCENT 150.0 -G_RANGE_MIN 0 -G_RANGE_MAX 255 -G_PERCTL_MIN 1 -G_PERCTL_MAX 99 -G_PERCENT 150.0 -B_RANGE_MIN 0 -B_RANGE_MAX 255 -B_PERCTL_MIN 1 -B_PERCTL_MAX 99 -B_PERCENT 150.0 -GRID_RGB "C:/Users/Mario/Downloads/test.sdat" 
             Unknown option 'GRID_R'
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: grid_visualisation
             library : Grids
             tool : RGB Composite
             author : O.Conrad (c) 2002
             processors : 4 [4]
             ____________________________

             Usage: saga_cmd grid_visualisation 3 [-R_GRID ] [-R_METHOD ] [-R_RANGE_MIN ] [-R_RANGE_MAX ] [-R_PERCTL_MIN ] [-R_PERCTL_MAX ] [-R_STDDEV ] [-G_GRID ] [-G_METHOD ] [-G_RANGE_MIN ] [-G_RANGE_MAX ] [-G_PERCTL_MIN ] [-G_PERCTL_MAX ] [-G_STDDEV ] [-B_GRID ] [-B_METHOD ] [-B_RANGE_MIN ] [-B_RANGE_MAX ] [-B_PERCTL_MIN ] [-B_PERCTL_MAX ] [-B_STDDEV ] [-A_GRID ] [-A_METHOD ] [-A_RANGE_MIN ] [-A_RANGE_MAX ] [-A_PERCTL_MIN ] [-A_PERCTL_MAX ] [-A_STDDEV ] [-RGB ]
             -R_GRID: Red
             Grid (input)
             -R_METHOD: Value Preparation
             Choice
             Available Choices:
             [0] take original value (0 - 255)
             [1] rescale to 0 - 255
             [2] user defined
             [3] percentiles
             [4] standard deviation
             Default: 4
             -R_RANGE_MIN: Rescale Range
             Value range
             -R_RANGE_MAX: Rescale Range
             Value range
             -R_PERCTL_MIN: Percentiles
             Value range
             -R_PERCTL_MAX: Percentiles
             Value range
             -R_STDDEV: Standard Deviation
             Floating point
             Minimum: 0.000000
             Default: 2.000000
             -G_GRID: Green
             Grid (input)
             -G_METHOD: Value Preparation
             Choice
             Available Choices:
             [0] take original value (0 - 255)
             [1] rescale to 0 - 255
             [2] user defined
             [3] percentiles
             [4] standard deviation
             Default: 4
             -G_RANGE_MIN: Rescale Range
             Value range
             -G_RANGE_MAX: Rescale Range
             Value range
             -G_PERCTL_MIN: Percentiles
             Value range
             -G_PERCTL_MAX: Percentiles
             Value range
             -G_STDDEV: Standard Deviation
             Floating point
             Minimum: 0.000000
             Default: 2.000000
             -B_GRID: Blue
             Grid (input)
             -B_METHOD: Value Preparation
             Choice
             Available Choices:
             [0] take original value (0 - 255)
             [1] rescale to 0 - 255
             [2] user defined
             [3] percentiles
             [4] standard deviation
             Default: 4
             -B_RANGE_MIN: Rescale Range
             Value range
             -B_RANGE_MAX: Rescale Range
             Value range
             -B_PERCTL_MIN: Percentiles
             Value range
             -B_PERCTL_MAX: Percentiles
             Value range
             -B_STDDEV: Standard Deviation
             Floating point
             Minimum: 0.000000
             Default: 2.000000
             -A_GRID: Alpha
             Grid (optional input)
             -A_METHOD: Value Preparation
             Choice
             Available Choices:
             [0] take original value (0 - 255)
             [1] rescale to 0 - 255
             [2] user defined
             [3] percentiles
             [4] standard deviation
             Default: 4
             -A_RANGE_MIN: Rescale Range
      

TT16PBA20180311T162041B02.sgrd" -FILES "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B02.tif" 

             ____________________________

             ##### ## ##### ##

             ### ### ## ###

             ### # ## ## #### # ##

             ### ##### ## # #####

             ##### # ## ##### # ##

             ____________________________
             SAGA Version: 2.3.2 (64 bit)

             ____________________________

             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\

             library name: io_gdal

             library : GDAL/OGR

             tool : Import Raster

             author : O.Conrad (c) 2007 (A.Ringeler)

             processors : 4 [4]

             ____________________________

             Parameters

             Grids: No objects

             Files: "C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B02.tif" 

             Select from Multiple Bands:

             Alphanumeric Sorting: yes

             Transformation: yes

             Resampling: B-Spline Interpolation

             loading: C:/Users/Mario/Downloads/clip_RT_T16PBA_20180311T162041_B02.tif

             Driver: GTiff

             Bands: 1

             Rows: 1243

             Columns: 1265

             loading: clip_RT_T16PBA_20180311T162041_B02

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd grid_visualisation "RGB Composite" -GRID_R "C:/Users/HP

COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/2e6e6525606946499b5d88f3a49c8191/clipRTT16PBA20180311T162041B04.sgrd" -GRID_G "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/5b24bb41c86a4235a6fe1b2ed4f64096/clipRTT16PBA20180311T162041B03.sgrd" -GRID_B "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/34c0677b09c74f1cb89365f6956f6d19/clipRTT16PBA20180311T162041B02.sgrd" -R_METHOD 0 -G_METHOD 0 -B_METHOD 0 -R_RANGE_MIN 0 -R_RANGE_MAX 255 -R_PERCTL_MIN 1 -R_PERCTL_MAX 99 -R_PERCENT 150.0 -G_RANGE_MIN 0 -G_RANGE_MAX 255 -G_PERCTL_MIN 1 -G_PERCTL_MAX 99 -G_PERCENT 150.0 -B_RANGE_MIN 0 -B_RANGE_MAX 255 -B_PERCTL_MIN 1 -B_PERCTL_MAX 99 -B_PERCENT 150.0 -GRID_RGB "C:/Users/Mario/Downloads/test.sdat" 
             Unknown option 'GRID_R'
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: grid_visualisation
             library : Grids
             tool : RGB Composite
             author : O.Conrad (c) 2002
             processors : 4 [4]
             ____________________________

             Usage: saga_cmd grid_visualisation 3 [-R_GRID ] [-R_METHOD ] [-R_RANGE_MIN ] [-R_RANGE_MAX ] [-R_PERCTL_MIN ] [-R_PERCTL_MAX ] [-R_STDDEV ] [-G_GRID ] [-G_METHOD ] [-G_RANGE_MIN ] [-G_RANGE_MAX ] [-G_PERCTL_MIN ] [-G_PERCTL_MAX ] [-G_STDDEV ] [-B_GRID ] [-B_METHOD ] [-B_RANGE_MIN ] [-B_RANGE_MAX ] [-B_PERCTL_MIN ] [-B_PERCTL_MAX ] [-B_STDDEV ] [-A_GRID ] [-A_METHOD ] [-A_RANGE_MIN ] [-A_RANGE_MAX ] [-A_PERCTL_MIN ] [-A_PERCTL_MAX ] [-A_STDDEV ] [-RGB ]
             -R_GRID: Red
             Grid (input)
             -R_METHOD: Value Preparation
             Choice
             Available Choices:
             [0] take original value (0 - 255)
             [1] rescale to 0 - 255
             [2] user defined
             [3] percentiles
             [4] standard deviation
             Default: 4
             -R_RANGE_MIN: Rescale Range
             Value range
             -R_RANGE_MAX: Rescale Range
             Value range
             -R_PERCTL_MIN: Percentiles
             Value range
             -R_PERCTL_MAX: Percentiles
             Value range
             -R_STDDEV: Standard Deviation
             Floating point
             Minimum: 0.000000
             Default: 2.000000
             -G_GRID: Green
             Grid (input)
             -G_METHOD: Value Preparation
             Choice
             Available Choices:
             [0] take original value (0 - 255)
             [1] rescale to 0 - 255
             [2] user defined
             [3] percentiles
             [4] standard deviation
             Default: 4
             -G_RANGE_MIN: Rescale Range
             Value range
             -G_RANGE_MAX: Rescale Range
             Value range
             -G_PERCTL_MIN: Percentiles
             Value range
             -G_PERCTL_MAX: Percentiles
             Value range
             -G_STDDEV: Standard Deviation
             Floating point
             Minimum: 0.000000
             Default: 2.000000
             -B_GRID: Blue
             Grid (input)
             -B_METHOD: Value Preparation
             Choice
             Available Choices:
             [0] take original value (0 - 255)
             [1] rescale to 0 - 255
             [2] user defined
             [3] percentiles
             [4] standard deviation
             Default: 4
             -B_RANGE_MIN: Rescale Range
             Value range
             -B_RANGE_MAX: Rescale Range
             Value range
             -B_PERCTL_MIN: Percentiles
             Value range
             -B_PERCTL_MAX: Percentiles
             Value range
             -B_STDDEV: Standard Deviation
             Floating point
             Minimum: 0.000000
             Default: 2.000000
             -A_GRID: Alpha
             Grid (optional input)
             -A_METHOD: Value Preparation
             Choice
             Available Choices:
             [0] take original value (0 - 255)
             [1] rescale to 0 - 255
             [2] user defined
             [3] percentiles
             [4] standard deviation
             Default: 4
             -A_RANGE_MIN: Rescale Range
             Value range
             -A_RANGE_MAX: Rescale Range
             Value range
             -A_PERCTL_MIN: Percentiles
             Value range
             -A_PERCTL_MAX: Percentiles
             Value range
             -A_STDDEV: Standard Deviation
             Floating point
             Minimum: 0.000000
             Default: 2.000000
             -RGB: Composite
             Grid (output)

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_grid_image 0 -IS_RGB -GRID:"C:/Users/Mario/Downloads/test.sgrd" -FILE:"C:/Users/Mario/Downloads/test.sdat" 
             Unknown option 'IS_RGB'
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: io_grid_image
             library : Images
             tool : Export Image (bmp, jpg, pcx, png, tif)
             author : O.Conrad (c) 2005
             processors : 4 [4]
             ____________________________

             Usage: saga_cmd io_grid_image 0 [-GRID ] [-SHADE ] [-FILE ] [-FILE_KML ] [-COLOURING ] [-COL_PALETTE ] [-COL_COUNT ] [-COL_REVERT ] [-STDDEV ] [-STRETCH_MIN ] [-STRETCH_MAX ] [-LUT ] [-SHADE_TRANS ] [-SHADE_BRIGHT_MIN ] [-SHADE_BRIGHT_MAX ]
             -GRID: Grid
             Grid (input)
             -SHADE: Shade
             Grid (optional input)
             -FILE: Image File
             File path
             -FILE_KML: Create KML File
             Boolean
             Default: 1
             -COLOURING: Colouring
             Choice
             Available Choices:
             [0] stretch to grid's standard deviation
             [1] stretch to grid's value range
             [2] stretch to specified value range
             [3] lookup table
             [4] rgb coded values
             Default: 0
             -COL_PALETTE: Color Palette
             Choice
             Available Choices:
             [0] DEFAULT
             [1] DEFAULT_BRIGHT
             [2] BLACK_WHITE
             [3] BLACK_RED
             [4] BLACK_GREEN
             [5] BLACK_BLUE
             [6] WHITE_RED
             [7] WHITE_GREEN
             [8] WHITE_BLUE
             [9] YELLOW_RED
             [10] YELLOW_GREEN
             [11] YELLOW_BLUE
             [12] RED_GREEN
             [13] RED_BLUE
             [14] GREEN_BLUE
             [15] RED_GREY_BLUE
             [16] RED_GREY_GREEN
             [17] GREEN_GREY_BLUE
             [18] RED_GREEN_BLUE
             [19] RED_BLUE_GREEN
             [20] GREEN_RED_BLUE
             [21] RAINBOW
             [22] NEON
             [23] TOPOGRAPHY
             [24] ASPECT_1
             [25] ASPECT_2
             [26] ASPECT_3
             Default: 0
             -COL_COUNT: Num

RTT16PBA20180311T162041B04.sgrd" -GRID_G "C:/Users/HP

COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/5b24bb41c86a4235a6fe1b2ed4f64096/clipRTT16PBA20180311T162041B03.sgrd" -GRID_B "C:/Users/HP COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/34c0677b09c74f1cb89365f6956f6d19/clipRTT16PBA20180311T162041B02.sgrd" -R_METHOD 0 -G_METHOD 0 -B_METHOD 0 -R_RANGE_MIN 0 -R_RANGE_MAX 255 -R_PERCTL_MIN 1 -R_PERCTL_MAX 99 -R_PERCENT 150.0 -G_RANGE_MIN 0 -G_RANGE_MAX 255 -G_PERCTL_MIN 1 -G_PERCTL_MAX 99 -G_PERCENT 150.0 -B_RANGE_MIN 0 -B_RANGE_MAX 255 -B_PERCTL_MIN 1 -B_PERCTL_MAX 99 -B_PERCENT 150.0 -GRID_RGB "C:/Users/Mario/Downloads/test.sdat" 
             Unknown option 'GRID_R'
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: grid_visualisation
             library : Grids
             tool : RGB Composite
             author : O.Conrad (c) 2002
             processors : 4 [4]
             ____________________________

             Usage: saga_cmd grid_visualisation 3 [-R_GRID ] [-R_METHOD ] [-R_RANGE_MIN ] [-R_RANGE_MAX ] [-R_PERCTL_MIN ] [-R_PERCTL_MAX ] [-R_STDDEV ] [-G_GRID ] [-G_METHOD ] [-G_RANGE_MIN ] [-G_RANGE_MAX ] [-G_PERCTL_MIN ] [-G_PERCTL_MAX ] [-G_STDDEV ] [-B_GRID ] [-B_METHOD ] [-B_RANGE_MIN ] [-B_RANGE_MAX ] [-B_PERCTL_MIN ] [-B_PERCTL_MAX ] [-B_STDDEV ] [-A_GRID ] [-A_METHOD ] [-A_RANGE_MIN ] [-A_RANGE_MAX ] [-A_PERCTL_MIN ] [-A_PERCTL_MAX ] [-A_STDDEV ] [-RGB ]
             -R_GRID: Red
             Grid (input)
             -R_METHOD: Value Preparation
             Choice
             Available Choices:
             [0] take original value (0 - 255)
             [1] rescale to 0 - 255
             [2] user defined
             [3] percentiles
             [4] standard deviation
             Default: 4
             -R_RANGE_MIN: Rescale Range
             Value range
             -R_RANGE_MAX: Rescale Range
             Value range
             -R_PERCTL_MIN: Percentiles
             Value range
             -R_PERCTL_MAX: Percentiles
             Value range
             -R_STDDEV: Standard Deviation
             Floating point
             Minimum: 0.000000
             Default: 2.000000
             -G_GRID: Green
             Grid (input)
             -G_METHOD: Value Preparation
             Choice
             Available Choices:
             [0] take original value (0 - 255)
             [1] rescale to 0 - 255
             [2] user defined
             [3] percentiles
             [4] standard deviation
             Default: 4
             -G_RANGE_MIN: Rescale Range
             Value range
             -G_RANGE_MAX: Rescale Range
             Value range
             -G_PERCTL_MIN: Percentiles
             Value range
             -G_PERCTL_MAX: Percentiles
             Value range
             -G_STDDEV: Standard Deviation
             Floating point
             Minimum: 0.000000
             Default: 2.000000
             -B_GRID: Blue
             Grid (input)
             -B_METHOD: Value Preparation
             Choice
             Available Choices:
             [0] take original value (0 - 255)
             [1] rescale to 0 - 255
             [2] user defined
             [3] percentiles
             [4] standard deviation
             Default: 4
             -B_RANGE_MIN: Rescale Range
             Value range
             -B_RANGE_MAX: Rescale Range
             Value range
             -B_PERCTL_MIN: Percentiles
             Value range
             -B_PERCTL_MAX: Percentiles
             Value range
             -B_STDDEV: Standard Deviation
             Floating point
             Minimum: 0.000000
             Default: 2.000000
             -A_GRID: Alpha
             Grid (optional input)
             -A_METHOD: Value Preparation
             Choice
             Available Choices:
             [0] take original value (0 - 255)
             [1] rescale to 0 - 255
             [2] user defined
             [3] percentiles
             [4] standard deviation
             Default: 4
             -A_RANGE_MIN: Rescale Range
             Value range
             -A_RANGE_MAX: Rescale Range
             Value range
             -A_PERCTL_MIN: Percentiles
             Value range
             -A_PERCTL_MAX: Percentiles
             Value range
             -A_STDDEV: Standard Deviation
             Floating point
             Minimum: 0.000000
             Default: 2.000000
             -RGB: Composite
             Grid (output)

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_grid_image 0 -IS_RGB -GRID:"C:/Users/Mario/Downloads/test.sgrd" -FILE:"C:/Users/Mario/Downloads/test.sdat" 
             Unknown option 'IS_RGB'
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: io_grid_image
             library : Images
             tool : Export Image (bmp, jpg, pcx, png, tif)
             author : O.Conrad (c) 2005
             processors : 4 [4]
             ____________________________

             Usage: saga_cmd io_grid_image 0 [-GRID ] [-SHADE ] [-FILE ] [-FILE_KML ] [-COLOURING ] [-COL_PALETTE ] [-COL_COUNT ] [-COL_REVERT ] [-STDDEV ] [-STRETCH_MIN ] [-STRETCH_MAX ] [-LUT ] [-SHADE_TRANS ] [-SHADE_BRIGHT_MIN ] [-SHADE_BRIGHT_MAX ]
             -GRID: Grid
             Grid (input)
             -SHADE: Shade
             Grid (optional input)
             -FILE: Image File
             File path
             -FILE_KML: Create KML File
             Boolean
             Default: 1
             -COLOURING: Colouring
             Choice
             Available Choices:
             [0] stretch to grid's standard deviation
             [1] stretch to grid's value range
             [2] stretch to specified value range
             [3] lookup table
             [4] rgb coded values
             Default: 0
             -COL_PALETTE: Color Palette
             Choice
             Available Choices:
             [0] DEFAULT
             [1] DEFAULT_BRIGHT
             [2] BLACK_WHITE
             [3] BLACK_RED
             [4] BLACK_GREEN
             [5] BLACK_BLUE
             [6] WHITE_RED
             [7] WHITE_GREEN
             [8] WHITE_BLUE
             [9] YELLOW_RED
             [10] YELLOW_GREEN
             [11] YELLOW_BLUE
             [12] RED_GREEN
             [13] RED_BLUE
             [14] GREEN_BLUE
             [15] RED_GREY_BLUE
             [16] RED_GREY_GREEN
             [17] GREEN_GREY_BLUE
             [18] RED_GREEN_BLUE
             [19] RED_BLUE_GREEN
             [20] GREEN_RED_BLUE
             [21] RAINBOW
             [22] NEON
             [23] TOPOGRAPHY
             [24] ASPECT_1
             [25] ASPECT_2
             [26] ASPECT_3
             Default: 0
             -COL_COUNT: Number of Colors
             Integer
             Default: 100
             -COL_REVERT: Revert Palette
             Boolean
             Default: 0
             -STDDEV: Standard Deviation
             Floating point
             Minimum: 0.000000
             Default: 2.000000
             -STRETCH_MIN: Stretch to Value R

TT16PBA20180311T162041B03.sgrd" -GRID_B "C:/Users/HP

COREi5/AppData/Local/Temp/processing_78bd265d5b54440abb505c7dcd605990/34c0677b09c74f1cb89365f6956f6d19/clipRTT16PBA20180311T162041B02.sgrd" -R_METHOD 0 -G_METHOD 0 -B_METHOD 0 -R_RANGE_MIN 0 -R_RANGE_MAX 255 -R_PERCTL_MIN 1 -R_PERCTL_MAX 99 -R_PERCENT 150.0 -G_RANGE_MIN 0 -G_RANGE_MAX 255 -G_PERCTL_MIN 1 -G_PERCTL_MAX 99 -G_PERCENT 150.0 -B_RANGE_MIN 0 -B_RANGE_MAX 255 -B_PERCTL_MIN 1 -B_PERCTL_MAX 99 -B_PERCENT 150.0 -GRID_RGB "C:/Users/Mario/Downloads/test.sdat" 
             Unknown option 'GRID_R'
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: grid_visualisation
             library : Grids
             tool : RGB Composite
             author : O.Conrad (c) 2002
             processors : 4 [4]
             ____________________________

             Usage: saga_cmd grid_visualisation 3 [-R_GRID ] [-R_METHOD ] [-R_RANGE_MIN ] [-R_RANGE_MAX ] [-R_PERCTL_MIN ] [-R_PERCTL_MAX ] [-R_STDDEV ] [-G_GRID ] [-G_METHOD ] [-G_RANGE_MIN ] [-G_RANGE_MAX ] [-G_PERCTL_MIN ] [-G_PERCTL_MAX ] [-G_STDDEV ] [-B_GRID ] [-B_METHOD ] [-B_RANGE_MIN ] [-B_RANGE_MAX ] [-B_PERCTL_MIN ] [-B_PERCTL_MAX ] [-B_STDDEV ] [-A_GRID ] [-A_METHOD ] [-A_RANGE_MIN ] [-A_RANGE_MAX ] [-A_PERCTL_MIN ] [-A_PERCTL_MAX ] [-A_STDDEV ] [-RGB ]
             -R_GRID: Red
             Grid (input)
             -R_METHOD: Value Preparation
             Choice
             Available Choices:
             [0] take original value (0 - 255)
             [1] rescale to 0 - 255
             [2] user defined
             [3] percentiles
             [4] standard deviation
             Default: 4
             -R_RANGE_MIN: Rescale Range
             Value range
             -R_RANGE_MAX: Rescale Range
             Value range
             -R_PERCTL_MIN: Percentiles
             Value range
             -R_PERCTL_MAX: Percentiles
             Value range
             -R_STDDEV: Standard Deviation
             Floating point
             Minimum: 0.000000
             Default: 2.000000
             -G_GRID: Green
             Grid (input)
             -G_METHOD: Value Preparation
             Choice
             Available Choices:
             [0] take original value (0 - 255)
             [1] rescale to 0 - 255
             [2] user defined
             [3] percentiles
             [4] standard deviation
             Default: 4
             -G_RANGE_MIN: Rescale Range
             Value range
             -G_RANGE_MAX: Rescale Range
             Value range
             -G_PERCTL_MIN: Percentiles
             Value range
             -G_PERCTL_MAX: Percentiles
             Value range
             -G_STDDEV: Standard Deviation
             Floating point
             Minimum: 0.000000
             Default: 2.000000
             -B_GRID: Blue
             Grid (input)
             -B_METHOD: Value Preparation
             Choice
             Available Choices:
             [0] take original value (0 - 255)
             [1] rescale to 0 - 255
             [2] user defined
             [3] percentiles
             [4] standard deviation
             Default: 4
             -B_RANGE_MIN: Rescale Range
             Value range
             -B_RANGE_MAX: Rescale Range
             Value range
             -B_PERCTL_MIN: Percentiles
             Value range
             -B_PERCTL_MAX: Percentiles
             Value range
             -B_STDDEV: Standard Deviation
             Floating point
             Minimum: 0.000000
             Default: 2.000000
             -A_GRID: Alpha
             Grid (optional input)
             -A_METHOD: Value Preparation
             Choice
             Available Choices:
             [0] take original value (0 - 255)
             [1] rescale to 0 - 255
             [2] user defined
             [3] percentiles
             [4] standard deviation
             Default: 4
             -A_RANGE_MIN: Rescale Range
             Value range
             -A_RANGE_MAX: Rescale Range
             Value range
             -A_PERCTL_MIN: Percentiles
             Value range
             -A_PERCTL_MAX: Percentiles
             Value range
             -A_STDDEV: Standard Deviation
             Floating point
             Minimum: 0.000000
             Default: 2.000000
             -RGB: Composite
             Grid (output)

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_grid_image 0 -IS_RGB -GRID:"C:/Users/Mario/Downloads/test.sgrd" -FILE:"C:/Users/Mario/Downloads/test.sdat" 
             Unknown option 'IS_RGB'
             ____________________________

             ##### ## ##### ##
             ### ### ## ###
             ### # ## ## #### # ##
             ### ##### ## # #####
             ##### # ## ##### # ##
             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________
             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\
             library name: io_grid_image
             library : Images
             tool : Export Image (bmp, jpg, pcx, png, tif)
             author : O.Conrad (c) 2005
             processors : 4 [4]
             ____________________________

             Usage: saga_cmd io_grid_image 0 [-GRID ] [-SHADE ] [-FILE ] [-FILE_KML ] [-COLOURING ] [-COL_PALETTE ] [-COL_COUNT ] [-COL_REVERT ] [-STDDEV ] [-STRETCH_MIN ] [-STRETCH_MAX ] [-LUT ] [-SHADE_TRANS ] [-SHADE_BRIGHT_MIN ] [-SHADE_BRIGHT_MAX ]
             -GRID: Grid
             Grid (input)
             -SHADE: Shade
             Grid (optional input)
             -FILE: Image File
             File path
             -FILE_KML: Create KML File
             Boolean
             Default: 1
             -COLOURING: Colouring
             Choice
             Available Choices:
             [0] stretch to grid's standard deviation
             [1] stretch to grid's value range
             [2] stretch to specified value range
             [3] lookup table
             [4] rgb coded values
             Default: 0
             -COL_PALETTE: Color Palette
             Choice
             Available Choices:
             [0] DEFAULT
             [1] DEFAULT_BRIGHT
             [2] BLACK_WHITE
             [3] BLACK_RED
             [4] BLACK_GREEN
             [5] BLACK_BLUE
             [6] WHITE_RED
             [7] WHITE_GREEN
             [8] WHITE_BLUE
             [9] YELLOW_RED
             [10] YELLOW_GREEN
             [11] YELLOW_BLUE
             [12] RED_GREEN
             [13] RED_BLUE
             [14] GREEN_BLUE
             [15] RED_GREY_BLUE
             [16] RED_GREY_GREEN
             [17] GREEN_GREY_BLUE
             [18] RED_GREEN_BLUE
             [19] RED_BLUE_GREEN
             [20] GREEN_RED_BLUE
             [21] RAINBOW
             [22] NEON
             [23] TOPOGRAPHY
             [24] ASPECT_1
             [25] ASPECT_2
             [26] ASPECT_3
             Default: 0
             -COL_COUNT: Number of Colors
             Integer
             Default: 100
             -COL_REVERT: Revert Palette
             Boolean
             Default: 0
             -STDDEV: Standard Deviation
             Floating point
             Minimum: 0.000000
             Default: 2.000000
             -STRETCH_MIN: Stretch to Value Range
             Value range
             -STRETCH_MAX: Stretch to Value Range
             Value range
             -LUT: Lookup Table
             Table (optional input)
             -SHADE_TRANS: Shade Transparency []
             Floating point
             Minimum: 0.000000
             Maximum: 100.000000
        

TT16PBA20180311T162041B02.sgrd" -R_METHOD 0 -G_METHOD 0 -B_METHOD 0 -R_RANGE_MIN 0 -R_RANGE_MAX

255 -R_PERCTL_MIN 1 -R_PERCTL_MAX 99 -R_PERCENT 150.0 -G_RANGE_MIN 0 -G_RANGE_MAX 255

-G_PERCTL_MIN 1 -G_PERCTL_MAX 99 -G_PERCENT 150.0 -B_RANGE_MIN 0 -B_RANGE_MAX 255 -B_PERCTL_MIN 1

-B_PERCTL_MAX 99 -B_PERCENT 150.0 -GRID_RGB "C:/Users/Mario/Downloads/test.sdat" 

             Unknown option 'GRID_R'

             ____________________________

             ##### ## ##### ##

             ### ### ## ###

             ### # ## ## #### # ##

             ### ##### ## # #####

             ##### # ## ##### # ##

             ____________________________

             SAGA Version: 2.3.2 (64 bit)
             ____________________________

             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\

             library name: grid_visualisation

             library : Grids

             tool : RGB Composite

             author : O.Conrad (c) 2002

             processors : 4 [4]

             ____________________________

             Usage: saga_cmd grid_visualisation 3 [-R_GRID ] [-R_METHOD ] [-R_RANGE_MIN ] [-R_RANGE_MAX ]

[-R_PERCTL_MIN ] [-R_PERCTL_MAX ] [-R_STDDEV ] [-G_GRID ] [-G_METHOD ] [-G_RANGE_MIN ] [-G_RANGE_MAX ]

[-G_PERCTL_MIN ] [-G_PERCTL_MAX ] [-G_STDDEV ] [-B_GRID ] [-B_METHOD ] [-B_RANGE_MIN ] [-B_RANGE_MAX ]

[-B_PERCTL_MIN ] [-B_PERCTL_MAX ] [-B_STDDEV ] [-A_GRID ] [-A_METHOD ] [-A_RANGE_MIN ] [-A_RANGE_MAX ]

[-A_PERCTL_MIN ] [-A_PERCTL_MAX ] [-A_STDDEV ] [-RGB ]

             -R_GRID: Red

             Grid (input)

             -R_METHOD: Value Preparation

             Choice

             Available Choices:

             [0] take original value (0 - 255)

             [1] rescale to 0 - 255

             [2] user defined

             [3] percentiles

             [4] standard deviation

             Default: 4

             -R_RANGE_MIN: Rescale Range

             Value range

             -R_RANGE_MAX: Rescale Range

             Value range

             -R_PERCTL_MIN: Percentiles

             Value range

             -R_PERCTL_MAX: Percentiles

             Value range

             -R_STDDEV: Standard Deviation

             Floating point

             Minimum: 0.000000

             Default: 2.000000

             -G_GRID: Green

             Grid (input)

             -G_METHOD: Value Preparation

             Choice

             Available Choices:

             [0] take original value (0 - 255)

             [1] rescale to 0 - 255

             [2] user defined

             [3] percentiles

             [4] standard deviation

             Default: 4

             -G_RANGE_MIN: Rescale Range

             Value range

             -G_RANGE_MAX: Rescale Range

             Value range
             -G_PERCTL_MIN: Percentiles

             Value range

             -G_PERCTL_MAX: Percentiles

             Value range

             -G_STDDEV: Standard Deviation

             Floating point

             Minimum: 0.000000

             Default: 2.000000

             -B_GRID: Blue

             Grid (input)

             -B_METHOD: Value Preparation

             Choice

             Available Choices:

             [0] take original value (0 - 255)

             [1] rescale to 0 - 255

             [2] user defined

             [3] percentiles

             [4] standard deviation

             Default: 4

             -B_RANGE_MIN: Rescale Range

             Value range

             -B_RANGE_MAX: Rescale Range

             Value range

             -B_PERCTL_MIN: Percentiles

             Value range

             -B_PERCTL_MAX: Percentiles

             Value range

             -B_STDDEV: Standard Deviation

             Floating point

             Minimum: 0.000000

             Default: 2.000000

             -A_GRID: Alpha

             Grid (optional input)

             -A_METHOD: Value Preparation

             Choice

             Available Choices:

             [0] take original value (0 - 255)

             [1] rescale to 0 - 255

             [2] user defined

             [3] percentiles

             [4] standard deviation

             Default: 4

             -A_RANGE_MIN: Rescale Range

             Value range

             -A_RANGE_MAX: Rescale Range

             Value range

             -A_PERCTL_MIN: Percentiles

             Value range

             -A_PERCTL_MAX: Percentiles

             Value range

             -A_STDDEV: Standard Deviation

             Floating point

             Minimum: 0.000000
             Default: 2.000000

             -RGB: Composite

             Grid (output)

             C:\PROGRA~1\QGIS3~1.4\bin>saga_cmd io_grid_image 0 -IS_RGB -GRID:"C:/Users/Mario/Downloads/test.sgrd"

-FILE:"C:/Users/Mario/Downloads/test.sdat" 

             Unknown option 'IS_RGB'

             ____________________________

             ##### ## ##### ##

             ### ### ## ###

             ### # ## ## #### # ##

             ### ##### ## # #####

             ##### # ## ##### # ##

             ____________________________

             SAGA Version: 2.3.2 (64 bit)

             ____________________________

             library path: C:\PROGRA~1\QGIS3~1.4\apps\saga-ltr\modules\

             library name: io_grid_image

             library : Images

             tool : Export Image (bmp, jpg, pcx, png, tif)

             author : O.Conrad (c) 2005

             processors : 4 [4]

             ____________________________

             Usage: saga_cmd io_grid_image 0 [-GRID ] [-SHADE ] [-FILE ] [-FILE_KML ] [-COLOURING ] [-COL_PALETTE ]

[-COL_COUNT ] [-COL_REVERT ] [-STDDEV ] [-STRETCH_MIN ] [-STRETCH_MAX ] [-LUT ] [-SHADE_TRANS ]

[-SHADE_BRIGHT_MIN ] [-SHADE_BRIGHT_MAX ]

             -GRID: Grid

             Grid (input)

             -SHADE: Shade

             Grid (optional input)

             -FILE: Image File

             File path

             -FILE_KML: Create KML File

             Boolean

             Default: 1

             -COLOURING: Colouring

             Choice

             Available Choices:

             [0] stretch to grid's standard deviation

             [1] stretch to grid's value range

             [2] stretch to specified value range

             [3] lookup table

             [4] rgb coded values

             Default: 0

             -COL_PALETTE: Color Palette

             Choice

             Available Choices:

             [0] DEFAULT

             [1] DEFAULT_BRIGHT
             [2] BLACK_WHITE

             [3] BLACK_RED

             [4] BLACK_GREEN

             [5] BLACK_BLUE

             [6] WHITE_RED

             [7] WHITE_GREEN

             [8] WHITE_BLUE

             [9] YELLOW_RED

             [10] YELLOW_GREEN

             [11] YELLOW_BLUE

             [12] RED_GREEN

             [13] RED_BLUE

             [14] GREEN_BLUE

             [15] RED_GREY_BLUE

             [16] RED_GREY_GREEN

             [17] GREEN_GREY_BLUE

             [18] RED_GREEN_BLUE

             [19] RED_BLUE_GREEN

             [20] GREEN_RED_BLUE

             [21] RAINBOW

             [22] NEON

             [23] TOPOGRAPHY

             [24] ASPECT_1

             [25] ASPECT_2

             [26] ASPECT_3

             Default: 0

             -COL_COUNT: Number of Colors

             Integer

             Default: 100

             -COL_REVERT: Revert Palette

             Boolean

             Default: 0

             -STDDEV: Standard Deviation

             Floating point

             Minimum: 0.000000

             Default: 2.000000

             -STRETCH_MIN: Stretch to Value Range

             Value range

             -STRETCH_MAX: Stretch to Value Range

             Value range

             -LUT: Lookup Table

             Table (optional input)

             -SHADE_TRANS: Shade Transparency []

             Floating point

             Minimum: 0.000000

             Maximum: 100.000000

             Default: 40.000000

             -SHADE_BRIGHT_MIN: Shade Brightness []

             Value range

             -SHADE_BRIGHT_MAX: Shade Brightness []

             Value range

             C:\PROGRA~1\QGIS3~1.4\bin>exit
Related issues:

Duplicated by QGIS Application - Bug report # 21017: SAGA RGB Composite not w... Closed 2019-01-17

History

#1 - 2018-11-05 01:00 PM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

- Pull Request or Patch supplied changed from No to Yes

Partial fix here: https://github.com/qgis/QGIS/pull/8418

#2 - 2018-12-24 09:12 AM - Alexander Bruy

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Fixed in master. Please test and reopen if necessary.

#3 - 2019-01-17 04:07 AM - Shawn Hood

Tested in 3.4.3-Madeira - still broken

#4 - 2019-01-17 11:20 AM - Giovanni Manghi

Shawn Hood wrote:

Tested in 3.4.3-Madeira - still broken

if not backport has been made it means that (for now) is only on master, aka 3.5

https://github.com/qgis/QGIS/pull/8597

#5 - 2019-01-21 11:58 AM - Jürgen Fischer

- Duplicated by Bug report #21017: SAGA RGB Composite not working added
